header {
  width: 100%;
  background-color: #d00000;
  color: azure;
  text-align: center;
  font-weight: bold;
  position: relative;
  display: flex;
  flex-direction: column;
  top: 0;
  overflow: hidden;
  z-index: 110;
}

li, a {
  color: azure;
  text-decoration: none;
}

.header_top {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  white-space: nowrap; /*Nu muta textu' pe linia urmatoare*/
  cursor: default;
  user-select: none;
}

.header_logo {
  padding-left: 15px;
}

.logo {
  max-width: 120px;
  width: 100%;
  height: auto;
}   

.header_search {
  padding-right: 15px;
}

.header_search input {
  width: auto;
}

#search {
  width: 100%;
  padding: 10px;
  font-size: 0.9rem;
  border-radius: 20px;
  border: 1px solid #ccc;
}

.header_options {
  justify-self: end;
  display: flex;
  gap: 30px;
  font-size: 1.2rem;
  padding-right: 5px;
  white-space: nowrap;
}

.options_text {
  display: inline;
  font-size: 1rem;
}

.nav_top_main {
  display: flex;
  width: 100%;
  height: auto;
  color: rgb(236, 223, 199);
  background-color: rgb(32, 35, 50);
  overflow-x: auto;
  white-space: nowrap; /*Nu muta textu' pe linia urmatoare*/
  cursor: default;
  user-select: none;
  align-items: center;
  font-size: 0.85rem;
  justify-content: space-between;
}

.nav_top_main a {
  padding-right: 15px;
}

.nav_top_links, .header_links {
  list-style: none;
}

.nav_top_links li, .header_links li {
  display: inline-block;
  padding: 0vw 0.85vw;
}

.nav_top_links li a, .header_links li a {
  transition: all 0.3s ease 0s;
  display: inline-block;
}

.nav_top_links li a:hover {
  color: rgb(217, 4, 41);
  text-shadow: 0px 0px 20px rgba(217, 4, 41, 0.9);
  transform: scale(1.05);
}

.header_links li a:hover {
  color: #4b0000;
  text-shadow: 0px 0px 20px #4b0000e9;
  transform: scale(1.05);
}

.nav_top_btn {
  padding: 0.27vw 1vw;
  color: azure;
  background-color: rgb(202, 4, 83);
  border: 2px solid rgb(202, 4, 83);
  font-size: 17px;
  border-radius: 27px;
  cursor: pointer;
  transition: all 0.3s ease 0s;
  vertical-align: middle;
}

.nav_top_btn:hover {
  background-color: rgba(202, 4, 83);
  transform: scale(1.05);
}

.open-sidebar-btn {
  display: none;
}

footer {
  display: flex;
  background-color: #760510;
  text-align: center;
  padding: 10px 10px;
  font-size: 0.95rem;
  color: azure;
  border-top: 1px solid #ccc;
  display: flex;
  justify-content: space-between;
  bottom: 0;
}

.footer-left {
  float: left;
  width: 50%;
  text-align: left;
  margin-top: 20px; 
}

.footer-right {
  float: right;
  width: 50%;
  text-align: right;
  margin-top:20px;
}

@media (max-width: 768px) {
  header {
    position: fixed;
  }

  .header_search, .options_text {
    display: none;
  }

  .open-sidebar-btn {
    display: inline;
  }

  .nav_top_main {
    display: none;
  }

  footer {
    flex-direction: column;
    text-align: center;
    gap: 10px;
  }

  .footer-left, .footer-right {
    width: 100%;
    text-align: center;
    margin-top: 0; 
  }
}
